Package org.springframework.security.web.server.authentication

# Interface ServerAuthenticationConverter

All Known Implementing Classes:
  `DelegatingServerAuthenticationConverter`, `ServerFormLoginAuthenticationConverter`, `ServerHttpBasicAuthenticationConverter`, `ServerOneTimeTokenAuthenticationConverter`, `ServerX509AuthenticationConverter`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ServerAuthenticationConverter
A strategy used for converting from a `ServerWebExchange` to an `Authentication` used for authenticating with a provided `ReactiveAuthenticationManager`. If the result is `Mono.empty()`, then it signals that no authentication attempt should be made.

Since:
  5.1

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.Authentication>`
`convert(org.springframework.web.server.ServerWebExchange exchange)`
Converts a `ServerWebExchange` to an `Authentication`

## Method Details

### convert

reactor.core.publisher.Mono<org.springframework.security.core.Authentication> convert(org.springframework.web.server.ServerWebExchange exchange)
Converts a `ServerWebExchange` to an `Authentication`

Parameters:
  `exchange` - The `ServerWebExchange`
Returns:
  A `Mono` representing an `Authentication`